public inbox for gcc-help@gcc.gnu.org
 help / color / mirror / Atom feed
* Bootstrap comparison failure cp/tree.o differs 3.4.1
@ 2004-07-20 13:13 Joe Hughes
  0 siblings, 0 replies; only message in thread
From: Joe Hughes @ 2004-07-20 13:13 UTC (permalink / raw)
  To: gcc-help

Hello,
Having issues building 3.4.1, received this error comparing stage2 and
stage3 :

case "gnucompare" in *compare | *compare-lean ) stage=2 ;; * )
stage=`echo gnucompare | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'`
;; esac; \
for dir in . cp f java objc; do \
   if [ "`echo $dir/*.o`" != "$dir/*.o" ] ; then \
     for file in $dir/*.o; do \
       case "gnucompare" in \
         slowcompare* ) \
           tail +16c ./$file > tmp-foo1; \
           tail +16c stage$stage/$file > tmp-foo2 \
             && (cmp tmp-foo1 tmp-foo2 > /dev/null 2>&1 || echo $file
differs >> .bad_compare) || true; \
           ;; \
         fastcompare* ) \
           cmp $file stage$stage/$file 16 16 > /dev/null 2>&1; \
           test $? -eq 1 && echo $file differs >> .bad_compare || true; \
           ;; \
         gnucompare* ) \
           cmp --ignore-initial=16 $file stage$stage/$file > /dev/null
2>&1; \
           test $? -eq 1 && echo $file differs >> .bad_compare || true; \
           ;; \
       esac ; \
     done; \
   else true; fi; \
done
rm -f tmp-foo*
case "gnucompare" in *compare | *compare-lean ) stage=2 ;; * )
stage=`echo gnucompare | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'`
;; esac; \
if [ -f .bad_compare ]; then \
   echo "Bootstrap comparison failure!"; \
   cat .bad_compare; \
   exit 1; \
else \
   case "gnucompare" in \
     *-lean ) rm -rf stage$stage ;; \
     *) ;; \
   esac; true; \
fi
Bootstrap comparison failure!
cp/tree.o differs


Anyone have any suggestions?

Thanks in advance.

Cheers,
Joe


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2004-07-20 13:13 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2004-07-20 13:13 Bootstrap comparison failure cp/tree.o differs 3.4.1 Joe Hughes

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).